VERSION 5.00
Begin VB.Form FormDisplay 
   BackColor       =   &H00000000&
   BorderStyle     =   0  'None
   ClientHeight    =   1845
   ClientLeft      =   2010
   ClientTop       =   2430
   ClientWidth     =   1845
   ControlBox      =   0   'False
   Icon            =   "Display.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   123
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   123
   ShowInTaskbar   =   0   'False
   WindowState     =   2  'Maximized
   Begin VB.Timer Timer1 
      Interval        =   200
      Left            =   720
      Top             =   720
   End
End
Attribute VB_Name = "FormDisplay"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
 Dim done As Integer
  Dim oldx, oldy As Single
  Dim go As Integer
  Dim vflag, k1, k2, k3, k4, k5, newx, newy, newxx, newyy
Private BufferTime As Single
Private PwMode As Boolean

' Try to terminate.  This code would never be called in NT.
Private Sub HumanEvent()
  If PreviewMode Then
    ' human events shouldn't close the preview mode
  ElseIf BufferTime <= Timer And Timer < BufferTime + 0.5 Then
    ' give the person a half second to stop moving the mouse after cancelling a password box
  ElseIf PwMode Then
    ' if passwords are turned on check the password
    ShowCursor True ' need cursor for the dialog box
    If VerifyScreenSavePwd(Me.hwnd) Then Unload Me
    ShowCursor False
    BufferTime = Timer
  Else
    Unload Me
  End If
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
  HumanEvent
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
  HumanEvent
End Sub

Private Sub Form_Click()
  HumanEvent
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
  HumanEvent
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
Static x0 As Single
Static y0 As Single
  ' unload on large mouse movements
  If ((x0 = 0) And (y0 = 0)) Or _
    ((Abs(x0 - x) <= 1) And (Abs(y0 - y) <= 1)) Then
      ' it's just a small movement
      x0 = x
      y0 = y
  Else
    HumanEvent
  End If
End Sub

Private Sub Form_Load()
  ' load configuration information
  z1 = 9
  z2 = 3
  
  LoadConfig
  Timer1.Interval = delay
If drd <> 0 Then DrawWidth = drd
Scale (-10 / 4, 10 / 4)-(10 / 4, -10 / 4)
DrawMode = 13
bark = 0
nn = 4000: mag = 1: Randomize
  If Not PreviewMode Then
    ' record the time, ignore human actions for the next half second
    BufferTime = Timer
    
    ' Find out if the user has enabled passwords for this screen saver
    PwMode = CBool(Val(ReadRegistry(HKEY_CURRENT_USER, "Control Panel\Desktop", "ScreenSaveUsePassword")))
    ' Stop Ctrl+Alt+Del (among other things)
    SystemParametersInfo SPI_SCREENSAVERRUNNING, 1&, 0&, 0&
    
    ' hide the cursor
    ShowCursor False
  End If
  
  Randomize
End Sub

Private Sub Form_Unload(Cancel As Integer)
  If Not PreviewMode Then
    ' Redisplay the cursor
    ShowCursor True
    ' Reenable Ctrl+Alt+Del (among other things)
    SystemParametersInfo SPI_SCREENSAVERRUNNING, 0&, 0&, 0&
  End If
End Sub

' Draw another random circle.
Private Sub Timer1_Timer()
'ForeColor = RGB(255 * Rnd, 255 * Rnd, 255 * Rnd)
'FillColor = RGB(255 * Rnd, 255 * Rnd, 255 * Rnd)

'Circle (100 * Rnd, 100 * Rnd), 50 * Rnd

 Static q

 If bark = 1 Then GoTo 350 Else If bark = 2 Then GoTo 480
 a = 0
zip:
If colorflag = 0 Then
rr = Int(-(Rnd > 0.5) * 255): gg = Int(-(Rnd > 0.5) * 255): B = Int(-(Rnd > 0.5) * 255)
Else
rr = Int(Rnd * 254): gg = Int(Rnd * 255): B = Int(Rnd * 255)
End If
If ((rr + gg + B) < 200) Then GoTo zip
If Rnd > 0.5 Then aa$ = "ww" Else aa$ = "wi"
cuss:
w1 = Int(Rnd * 240) / 9 - 9: w2 = Int(Rnd * 200) / 10 - 16: w3 = Int(Rnd * 350) + 40: w4 = Int(0.8 * Int(Rnd * w3)) + 12: w5 = Int(Rnd * 30) / 10 + 0.3
If (Abs(CENTERX - w1) + Abs(CENTERY - w2)) < 15 Then GoTo cuss

mansk:
vflag = 0
k1 = w3 Mod 4: If k1 = 0 Then vflag = vflag + 1
k2 = w3 Mod 6: If k2 = 0 Then vflag = vflag + 1
k3 = w3 Mod 9: If k3 = 0 Then vflag = vflag + 1
k4 = w3 Mod 10: If k4 = 0 Then vflag = vflag + 1
k5 = w3 Mod 15: If k5 = 0 Then vflag = vflag + 1
If vflag < 3 Then w3 = w3 + 1: GoTo mansk

mansk2:
vflag = 0
k1 = w4 Mod 4: If k1 = 0 Then vflag = vflag + 1
k2 = w4 Mod 6: If k2 = 0 Then vflag = vflag + 1
k3 = w4 Mod 9: If k3 = 0 Then vflag = vflag + 1
k4 = w4 Mod 10: If k4 = 0 Then vflag = vflag + 1
k5 = w4 Mod 15: If k5 = 0 Then vflag = vflag + 1
If vflag < 2 Then w4 = w4 + 1: GoTo mansk2

nn = nn + 1
If nn >= numerase Then nn = 0: Cls

190 If (aa$ = "WW") Or (aa$ = "ww") Then Circle (w1 + z1, w2 - z2), w3 * 0.025 / 2, RGB(155, 155, 0): bark = 1: GoTo 250
200 If (aa$ = "WI") Or (aa$ = "wi") Then Circle (w1 + z1, w2 - z2), w3 * 0.025 / 2, RGB(155, 155, 0): bark = 2: GoTo 390
GoTo 520


250 RAD1 = 0.025 * w3 / 2
260 RAD2 = 0.025 * w4 / 2
CENTERX = w1
280 CENTERY = w2: WAW = w4 - w3: If WAW = 0 Then FIN = 1: GoTo 330
290 FIN = 0: RESULT = 1
 While RESULT <> 0: FIN = FIN + 1
310  RESULT = (FIN * w3) Mod w4
320 Wend
330 FINISH = (FIN + 0.1) * 6.3

350
   newy = CENTERY + mag * (RAD1 + RAD2) * Sin(a)
   newx = CENTERX + mag * (RAD1 + RAD2) * Cos(a)
   newxx = CENTERX + mag * ((RAD1 + RAD2) * Cos(a) + Cos(a * (w3 / w4 + 1)) * RAD2 * w5)
   newyy = CENTERY + mag * ((RAD1 + RAD2) * Sin(a) + RAD2 * w5 * Sin(a * (w3 / w4 + 1)))

 If a = 0 Then
   oly = CENTERY + mag * (RAD1 + RAD2) * Sin(a)
   olx = CENTERX + mag * (RAD1 + RAD2) * Cos(a)
   oldxx = CENTERX + mag * ((RAD1 + RAD2) * Cos(a) + Cos(a * (w3 / w4 + 1)) * RAD2 * w5)
   oldyy = CENTERY + mag * ((RAD1 + RAD2) * Sin(a) + RAD2 * w5 * Sin(a * (w3 / w4 + 1)))
  PSet (z1 + CENTERX + mag * (RAD1 + RAD2 + w5 * RAD2), -z2 + CENTERY), RGB(rr, gg, B)
  Else
   DrawMode = 7
   Circle (olx + z1, oly - z2), RAD2, RGB(255, 0, 0)
   Line (olx + z1, oly - z2)-(oldxx + z1, oldyy - z2), RGB(0, 0, 255)
   DrawMode = 13
   Line (oldxx + z1, oldyy - z2)-(newxx + z1, newyy - z2), RGB(rr, gg, B)
   End If
   'PSet (newxx, newyy), RGB(rr, gg, b)
   DrawMode = 7
   If (a + 0.1) <= FINISH Then
   Circle (newx + z1, newy - z2), RAD2, RGB(255, 0, 0)
   Line (newx + z1, newy - z2)-(newxx + z1, newyy - z2), RGB(0, 0, 255)
   End If
   'PSet (oldxx, oldyy), RGB(rr, gg, b)
   
   oly = CENTERY + mag * (RAD1 + RAD2) * Sin(a)
   olx = CENTERX + mag * (RAD1 + RAD2) * Cos(a)
   oldxx = CENTERX + mag * ((RAD1 + RAD2) * Cos(a) + Cos(a * (w3 / w4 + 1)) * RAD2 * w5)
   oldyy = CENTERY + mag * ((RAD1 + RAD2) * Sin(a) + RAD2 * w5 * Sin(a * (w3 / w4 + 1)))
   
   DrawMode = 13
 
  
370 a = a + 0.1: If a > FINISH Then bark = 0
 GoTo 520
'=======================================================
380
390 RAD1 = 0.025 * w3 / 2
400 RAD2 = 0.025 * w4 / 2

CENTERX = w1
420 CENTERY = w2: WAW = (w4 - w3): If WAW >= 0 Then Exit Sub
430 FIN = 0: RESULT = 1: While RESULT <> 0: FIN = FIN + 1
440 If w3 > w4 Then RESULT = (FIN * w3) Mod w4 Else RESULT = (FIN * w4) Mod w3
450 Wend
460 FINISH = (FIN + 0.1) * 6.3
480
   newy = CENTERY + mag * (RAD1 - RAD2) * Sin(a)
   newx = CENTERX + mag * (RAD1 - RAD2) * Cos(a)
   newxx = CENTERX + mag * ((RAD1 - RAD2) * Cos(a) + Cos(-a * (w3 / w4 - 1)) * RAD2 * w5)
   newyy = CENTERY + mag * ((RAD1 - RAD2) * Sin(a) + RAD2 * w5 * Sin(-a * (w3 / w4 - 1)))

490 If a = 0 Then
   oly = CENTERY + mag * (RAD1 - RAD2) * Sin(a)
   olx = CENTERX + mag * (RAD1 - RAD2) * Cos(a)
   oldxx = CENTERX + mag * ((RAD1 - RAD2) * Cos(a) + Cos(-a * (w3 / w4 - 1)) * RAD2 * w5)
   oldyy = CENTERY + mag * ((RAD1 - RAD2) * Sin(a) + RAD2 * w5 * Sin(-a * (w3 / w4 - 1)))
   
   
PSet (z1 + CENTERX + mag * (RAD1 - RAD2 + w5 * RAD2), -z2 + CENTERY), RGB(rr, gg, B)
Else
DrawMode = 7
   Circle (olx + z1, oly - z2), RAD2, RGB(255, 0, 0)
   Line (olx + z1, oly - z2)-(oldxx + z1, oldyy - z2), RGB(0, 0, 255)
 DrawMode = 13

Line (oldxx + z1, oldyy - z2)-(CENTERX + mag * ((RAD1 - RAD2) * Cos(a) + Cos(-a * (w3 / w4 - 1)) * RAD2 * w5) + z1, CENTERY + mag * ((RAD1 - RAD2) * Sin(a) + RAD2 * w5 * Sin(-a * (w3 / w4 - 1))) - z2), RGB(rr, gg, B)
End If

   DrawMode = 7
   If (a + 0.1) <= FINISH Then
   Circle (newx + z1, newy - z2), RAD2, RGB(255, 0, 0)
   Line (newx + z1, newy - z2)-(newxx + z1, newyy - z2), RGB(0, 0, 255)
   'PSet (newxx, newyy), RGB(rr, gg, b)
End If
  
   oly = CENTERY + mag * (RAD1 - RAD2) * Sin(a)
   olx = CENTERX + mag * (RAD1 - RAD2) * Cos(a)
   oldxx = CENTERX + mag * ((RAD1 - RAD2) * Cos(a) + Cos(-a * (w3 / w4 - 1)) * RAD2 * w5)
   oldyy = CENTERY + mag * ((RAD1 - RAD2) * Sin(a) + RAD2 * w5 * Sin(-a * (w3 / w4 - 1)))
   
   DrawMode = 13
     a = a + 0.1
500 If a > FINISH Then bark = 0

520 'hi


  
End Sub
